package com.ruoyi.common.core.domain.entity;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
public class DataSource implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 字典编码
     */
    private Long id;

    /**
     * 数据库名
     */
    private String databaseName;

    /**
     * 数据库IP
     */
    private String databaseIp;

    /**
     * 用户名
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * 端口号
     */
    private Long portNumber;

    /**
     * 数据库类型
     */
    private String databaseType;


}
